<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: math_compat.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">math_compat.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Do not use, json-c internal, may be changed or removed at any time.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a956e2723d559858d08644ac99146e910"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="math__compat_8h.html#a956e2723d559858d08644ac99146e910">INFINITY</a>&#160;&#160;&#160;(DBL_MAX + DBL_MAX)</td></tr>
<tr class="separator:a956e2723d559858d08644ac99146e910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77914bc4c960d1bfda49328bd0646985"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="math__compat_8h.html#a77914bc4c960d1bfda49328bd0646985">HAVE_DECL_INFINITY</a></td></tr>
<tr class="separator:a77914bc4c960d1bfda49328bd0646985"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8abfcc76130f3f991d124dd22d7e69bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="math__compat_8h.html#a8abfcc76130f3f991d124dd22d7e69bc">NAN</a>&#160;&#160;&#160;(<a class="el" href="math__compat_8h.html#a956e2723d559858d08644ac99146e910">INFINITY</a> - <a class="el" href="math__compat_8h.html#a956e2723d559858d08644ac99146e910">INFINITY</a>)</td></tr>
<tr class="separator:a8abfcc76130f3f991d124dd22d7e69bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9025492cba029d3e372532a1d012f119"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="math__compat_8h.html#a9025492cba029d3e372532a1d012f119">HAVE_DECL_NAN</a></td></tr>
<tr class="separator:a9025492cba029d3e372532a1d012f119"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Do not use, json-c internal, may be changed or removed at any time. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a77914bc4c960d1bfda49328bd0646985"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_DECL_INFINITY</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9025492cba029d3e372532a1d012f119"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_DECL_NAN</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a956e2723d559858d08644ac99146e910"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define INFINITY&#160;&#160;&#160;(DBL_MAX + DBL_MAX)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8abfcc76130f3f991d124dd22d7e69bc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NAN&#160;&#160;&#160;(<a class="el" href="math__compat_8h.html#a956e2723d559858d08644ac99146e910">INFINITY</a> - <a class="el" href="math__compat_8h.html#a956e2723d559858d08644ac99146e910">INFINITY</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
